import 'package:flutter/material.dart';
import 'package:go_router/go_router.dart';
import 'package:goatagent/auth.dart';
import 'package:goatagent/firebase.dart';
import 'package:goatagent/screens/about.dart';
import 'package:goatagent/screens/account.dart';
import 'package:goatagent/screens/dashboard.dart';
import 'package:goatagent/screens/notifications.dart';

import 'layouts/navigation.dart';

void main() async {
  WidgetsFlutterBinding.ensureInitialized();

  try {
    await initializeFirebase();
  } catch (e) {
    print(e);
  }

  await AuthGuard().pickClient();

  runApp(const GoatAgent());
}

class GoatAgent extends StatelessWidget {
  const GoatAgent({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'GoatAgent',
      theme: ThemeData(
        brightness: Brightness.light,
        colorScheme: ColorScheme.fromSwatch(
            primarySwatch: Colors.indigo,
            accentColor: Colors.indigoAccent,
            backgroundColor: Colors.white,
            brightness: Brightness.light,
        ),
        useMaterial3: true,
      ),
      darkTheme: ThemeData(
        brightness: Brightness.dark,
        colorScheme: ColorScheme.fromSwatch(
            primarySwatch: Colors.indigo,
            accentColor: Colors.indigoAccent,
            backgroundColor: Colors.black,
            brightness: Brightness.dark,
        ),
        useMaterial3: true,
      ),
      home: const AgentNavigation(),
    );
  }
}
